# --- Transport/Auth from RTSP clients ---
rtspAddress: :8554
rtspTransports: [tcp]
rtspAuthMethods: [basic]   # clients use Basic over RTSP

# --- External authentication via your Node service ---
#authMethod: http
#authHTTPAddress: http://127.0.0.1:6060/mediamtx/auth
#authHTTPExclude:
#  - action: api
#  - action: metrics
#  - action: pprof

# If you later add a shared secret header between MediaMTX and Node:
# authHTTPHeaders:
#   Authorization: Bearer YOUR_SHARED_SECRET

# --- MediaMTX API (used by the router's /v3/paths/list probe) ---
api: yes
apiAddress: :9997

# --- Path behavior ---
# Defaults applied to any path unless overridden below.
pathDefaults:
  # We accept external publishers (FFmpeg) on any path.
  # This is required so your on-demand publisher can push to "playback/..."
  source: publisher

paths:
  # Catch-all so anything like "playback/2025-09-29T..." is valid.
  all_others: {}
  replay: 
    source: http://record.korastats.pro/temp/chunks/master.m3u8
    sourceOnDemand: yes
